#!/bin/bash

readonly LOCALIZABLE_PATH=MinGraviditet/MinGraviditet/Resources/Localizable/

java -jar ./Tools/i18n/i18n-extractor-v1.0.9.one-jar.jar ./Tools/i18n/default.properties

iconv -f UTF-16LE -t UTF-8 $LOCALIZABLE_PATH/en.lproj/Localizable.strings > $LOCALIZABLE_PATH/en.lproj/Localizable.strings_utf8

rm $LOCALIZABLE_PATH/en.lproj/Localizable.strings

mv  $LOCALIZABLE_PATH/en.lproj/Localizable.strings_utf8 $LOCALIZABLE_PATH/en.lproj/Localizable.strings
printf "Creating clone of english as danish language...\n"
cp  $LOCALIZABLE_PATH/en.lproj/Localizable.strings $LOCALIZABLE_PATH/da.lproj/Localizable.strings

printf "Removing english file...\n"
rm -R $LOCALIZABLE_PATH/en.lproj
